Bug 656753 - RHN Proxy 5.4: rhn_package_manager fails with errors in verbose mode
Summary: RHN Proxy 5.4: rhn_package_manager fails with errors in verbose mode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite Proxy 5
Classification: Red Hat
Component: Server
Version: 540
Hardware: Unspecified
OS: Unspecified
medium
urgent
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Martin Minar
URL:
Whiteboard:
Depends On:
Blocks: sat54-errata
TreeView+ depends on / blocked
 
Reported: 2010-11-24 02:31 UTC by Xixi
Modified: 2016-07-04 00:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, package uploads from the rhn_package_manager tool failed with an error in the verbose mode on RHN Proxy Server 5.4 with the parent http://rhn.redhat.com/. With this update, the uploading process succeeds.
Clone Of:
Environment:
Last Closed: 2010-12-16 14:59:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2010:0990 0 normal SHIPPED_LIVE RHN Proxy Server 5.4 bug fix update 2010-12-16 14:58:46 UTC

Description Xixi 2010-11-24 02:31:10 UTC
Description of problem:
rhn_package_manager fails with various "not defined" errors when verbose flag is enabled (-v).  Problems with imports in the code?

[root@dhcp209-17 tmp]# rhn_package_manager -v -c test-proxy-push -l
Channels: test-proxy-push
Red Hat Network username: 
Red Hat Network password:
Connecting to https://xmlrpc.rhn.redhat.com/XP
Traceback (most recent call last):
  File "/usr/bin/rhn_package_manager", line 28, in ?
    rhn_package_manager.main()
  File "/usr/share/rhn/PackageManager/rhn_package_manager.py", line 96, in main
    upload.list()
  File "/usr/share/rhn/PackageManager/uploadLib.py", line 45, in list
    list = listChannel(self.server, self.username, self.password,
NameError: global name 'listChannel' is not defined

[root@dhcp209-17 tmp]# rhn_package_manager -v -c test-proxy-push /root/kmod-openafs-xen-2.6.18-194.26.1.el5-1.4.10-rhel55_9isu.i686.rpm
Red Hat Network username: 
Red Hat Network password:
Connecting to https://xmlrpc.rhn.redhat.com/XP
Uploading /root/kmod-openafs-xen-2.6.18-194.26.1.el5-1.4.10-rhel55_9isu.i686.rpm
Traceback (most recent call last):
  File "/usr/bin/rhn_package_manager", line 28, in ?
    rhn_package_manager.main()
  File "/usr/share/rhn/PackageManager/rhn_package_manager.py", line 126, in main
    upload.uploadHeaders()
  File "/usr/share/rhn/PackageManager/uploadLib.py", line 135, in uploadHeaders
    ReportError("Uploading batch:")
NameError: global name 'ReportError' is not defined

[root@dhcp209-17 tmp]# rhn_package_manager -v -c test-proxy-push -d /root/ Red Hat Network username:
Red Hat Network password:
Connecting to https://xmlrpc.rhn.redhat.com/XP
Uploading /root/kmod-openafs-PAE-2.6.18-194.26.1.el5-1.4.10-rhel55_9isu.i686.rpm
Uploading /root/kmod-openafs-2.6.18-194.26.1.el5-1.4.10-rhel55_9isu.i686.rpm
Uploading /root/kmod-openafs-xen-2.6.18-194.26.1.el5-1.4.10-rhel55_9isu.i686.rpm
Traceback (most recent call last):
  File "/usr/bin/rhn_package_manager", line 28, in ?
    rhn_package_manager.main()
  File "/usr/share/rhn/PackageManager/rhn_package_manager.py", line 126, in main
    upload.uploadHeaders()
  File "/usr/share/rhn/PackageManager/uploadLib.py", line 135, in uploadHeaders
    ReportError("Uploading batch:")
NameError: global name 'ReportError' is not defined

Version-Release number of selected component (if applicable):
5.4

How reproducible:
Always

Steps to Reproduce:
1. Try to perform rhn_package_manager actions with -v flag.
2.
3.
  
Actual results:
Fails with various errors as seen above.

Expected results:
No errors.  Actions succeed.

Additional info:
To be confirmed, but this is most likely a regression.

Comment 2 Miroslav Suchý 2010-12-02 16:05:24 UTC
commited to spacewalk.git 799ea41e7db2f194d71ebd912d2810f0a96d8230

Comment 3 Miroslav Suchý 2010-12-02 16:07:21 UTC
cherrypicked to satellite.git as commit d5c15a8a43a07aa7e7417b981ea5049e6d1baf96

Comment 5 Miroslav Suchý 2010-12-02 16:27:06 UTC
find few similar problems cause by merge of code:
commit 1be815ce6924621c46ed33c610a46bc2d2aff31c

cherrypicked to satellite.git as commit a48b4de5f29bf7bc8a40825288733b9abceca805

Comment 7 Eva Kopalova 2010-12-15 15:12:21 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, package uploads from the rhn_package_manager tool failed with an error in the verbose mode on RHN Proxy Server 5.4 with the parent http://rhn.redhat.com/. With this update, the uploading process succeeds.

Comment 9 errata-xmlrpc 2010-12-16 14:59:05 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2010-0990.html


Note You need to log in before you can comment on or make changes to this bug.